Name:          qsynth
Version:       1.0.3
Release:       1mamba
Summary:       A fluidsynth GUI front-end application written in C++ around the Qt3 toolkit
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://qsynth.sourceforge.io/
Source:        http://downloads.sourceforge.net/sourceforge/qsynth/%{name}-%{version}.tar.gz
Patch3:        qsynth-0.9.6-default_alsa.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt6Core
BuildRequires: libQt6Gui
BuildRequires: libQt6Network
BuildRequires: libQt6Widgets
BuildRequires: libfluidsynth-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libpipewire-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt6-qtsvg-devel
## AUTOBUILDREQ-END
Requires:      fluidsynth >= 1.0.5
%ifnarch %{ix86}
Recommends:    soundfont-2rock9
%endif

%description
QSynth is a fluidsynth GUI front-end application written in C++ around the Qt3 toolkit using Qt Designer. Eventually it may evolve into a softsynth management application allowing the user to control and manage a variety of command line softsynth but for the moment it wraps the excellent FluidSynth.

%prep
%setup -q
%patch 3 -p1

%build
%cmake -d build

%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/qsynth
%{_datadir}/applications/org.rncbc.qsynth.desktop
%{_datadir}/metainfo/org.rncbc.qsynth.metainfo.xml
%dir %{_datadir}/qsynth
%dir %{_datadir}/qsynth/translations
%lang(cs) %{_datadir}/qsynth/translations/qsynth_cs.qm
%lang(de) %{_datadir}/qsynth/translations/qsynth_de.qm
%lang(es) %{_datadir}/qsynth/translations/qsynth_es.qm
%lang(fr) %{_datadir}/qsynth/translations/qsynth_fr.qm
%lang(ru) %{_datadir}/qsynth/translations/qsynth_ru.qm
%lang(sr) %{_datadir}/qsynth/translations/qsynth_sr.qm
%dir %{_datadir}/qsynth/palette
%{_datadir}/qsynth/palette/KXStudio.conf
%{_datadir}/qsynth/palette/Wonton*Soup.conf
%{_mandir}/man1/qsynth.1*
%lang(fr) %{_mandir}/fr/man1/qsynth.1*
%{_datadir}/icons/hicolor/32x32/apps/org.rncbc.qsynth.png
%{_datadir}/icons/hicolor/scalable/apps/org.rncbc.qsynth.svg
%doc LICENSE

%changelog
* Fri Mar 28 2025 Automatic Build System <autodist@openmamba.org> 1.0.3-1mamba
- automatic version update by autodist

* Sat Jan 11 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.2-2mamba
- i586: removed requirement for soundfont-2rock9; other archs: convert to Recommends

* Fri Oct 04 2024 Automatic Build System <autodist@openmamba.org> 1.0.2-1mamba
- automatic version update by autodist

* Thu Sep 12 2024 Automatic Build System <autodist@openmamba.org> 1.0.1-1mamba
- automatic version update by autodist

* Wed Jun 19 2024 Automatic Build System <autodist@openmamba.org> 1.0.0-1mamba
- automatic version update by autodist

* Wed May 01 2024 Automatic Build System <autodist@openmamba.org> 0.9.91-1mamba
- automatic version update by autodist

* Mon Apr 15 2024 Automatic Build System <autodist@openmamba.org> 0.9.90-1mamba
- automatic version update by autodist

* Tue Jan 23 2024 Automatic Build System <autodist@openmamba.org> 0.9.13-1mamba
- automatic version update by autodist

* Sat Sep 09 2023 Automatic Build System <autodist@mambasoft.it> 0.9.12-1mamba
- automatic version update by autodist

* Thu Jun 01 2023 Automatic Build System <autodist@mambasoft.it> 0.9.11-1mamba
- automatic version update by autodist

* Fri Mar 24 2023 Automatic Build System <autodist@mambasoft.it> 0.9.10-1mamba
- automatic version update by autodist

* Thu Dec 29 2022 Automatic Build System <autodist@mambasoft.it> 0.9.9-1mamba
- automatic version update by autodist

* Wed Oct 05 2022 Automatic Build System <autodist@mambasoft.it> 0.9.8-1mamba
- automatic version update by autodist

* Mon Apr 11 2022 Automatic Build System <autodist@mambasoft.it> 0.9.7-1mamba
- automatic version update by autodist

* Sun Mar 13 2022 Automatic Build System <autodist@mambasoft.it> 0.9.6-1mamba
- automatic version update by autodist

* Sat Jul 10 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.4-1mamba
- update to 0.9.4

* Wed May 12 2021 Automatic Build System <autodist@mambasoft.it> 0.9.3-1mamba
- automatic version update by autodist

* Tue Mar 16 2021 Automatic Build System <autodist@mambasoft.it> 0.9.2-1mamba
- automatic version update by autodist

* Mon Feb 22 2021 Automatic Build System <autodist@mambasoft.it> 0.9.1-1mamba
- automatic version update by autodist

* Thu Dec 24 2020 Automatic Build System <autodist@mambasoft.it> 0.9.0-1mamba
- automatic version update by autodist

* Sat Aug 01 2020 Automatic Build System <autodist@mambasoft.it> 0.6.3-1mamba
- automatic version update by autodist

* Tue Apr 07 2020 Automatic Build System <autodist@mambasoft.it> 0.6.2-1mamba
- automatic version update by autodist

* Tue Dec 31 2019 Automatic Build System <autodist@mambasoft.it> 0.6.1-1mamba
- automatic version update by autodist

* Thu Oct 17 2019 Automatic Build System <autodist@mambasoft.it> 0.6.0-1mamba
- automatic version update by autodist

* Sun Aug 18 2019 Automatic Build System <autodist@mambasoft.it> 0.5.7-1mamba
- automatic version update by autodist

* Thu Apr 11 2019 Automatic Build System <autodist@mambasoft.it> 0.5.6-1mamba
- automatic version update by autodist

* Tue Mar 12 2019 Automatic Build System <autodist@mambasoft.it> 0.5.5-1mamba
- automatic version update by autodist

* Thu Dec 06 2018 Automatic Build System <autodist@mambasoft.it> 0.5.4-1mamba
- automatic version update by autodist

* Thu Oct 11 2018 Automatic Build System <autodist@mambasoft.it> 0.5.3-1mamba
- automatic version update by autodist

* Mon Jul 23 2018 Automatic Build System <autodist@mambasoft.it> 0.5.2-1mamba
- automatic version update by autodist

* Wed May 23 2018 Automatic Build System <autodist@mambasoft.it> 0.5.1-1mamba
- automatic version update by autodist

* Sat Mar 24 2018 Automatic Build System <autodist@mambasoft.it> 0.5.0-1mamba
- automatic version update by autodist

* Wed Aug 09 2017 Automatic Build System <autodist@mambasoft.it> 0.4.3-1mamba
- automatic version update by autodist

* Mon Oct 24 2016 Automatic Build System <autodist@mambasoft.it> 0.4.2-1mamba
- automatic version update by autodist

* Wed Jul 06 2016 Automatic Build System <autodist@mambasoft.it> 0.4.1-1mamba
- automatic version update by autodist

* Mon Sep 14 2015 Automatic Build System <autodist@mambasoft.it> 0.4.0-1mamba
- automatic version update by autodist

* Sun Apr 05 2015 Automatic Build System <autodist@mambasoft.it> 0.3.9-1mamba
- automatic version update by autodist

* Thu Dec 04 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.8-2mamba
- use pulseaudio instead of alsa as default backend

* Fri Jan 03 2014 Automatic Build System <autodist@mambasoft.it> 0.3.8-1mamba
- automatic version update by autodist

* Fri Apr 19 2013 Automatic Build System <autodist@mambasoft.it> 0.3.7-1mamba
- automatic version update by autodist

* Tue Jun 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.6-2mamba
- added patch to use alsa by default

* Sun Jun 26 2011 Automatic Build System <autodist@mambasoft.it> 0.3.6-1mamba
- automatic update by autodist

* Sun Jun 27 2010 Automatic Build System <autodist@mambasoft.it> 0.3.5-1mamba
- automatic update by autodist

* Thu Dec 03 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.4-2mamba
- fixed default soundfonts patch to prevent duplicate entries

* Thu May 28 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.4-1mamba
- update to 0.3.4

* Sun Jan 25 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.3-2mamba
- moved menu entry to music category

* Sat Oct 25 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.3-1mamba
- automatic update by autodist

* Tue Sep 25 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.1-1mamba
- update to 0.3.1

* Tue May 15 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.6-1mamba
- update to 0.2.6
- desktop menu link moved to %{_datadir}/applications

* Wed Mar 01 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.4-4qilnx
- rpm group fixed

* Thu Nov 10 2005 Massimo Pintore <massimo.pintore@qilinux.it> 0.2.4-3qilnx
- added patch to start with a default soundfont

* Wed Nov 09 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.4-2qilnx
- add default soundfont (2rock9) requirement

* Thu Oct 27 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.4-1qilnx
- update to version 0.2.4 by autospec

* Mon Feb 21 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.2-2qilnx
- added desktop menu icons
- added requirement for fluidsynth

* Sun Feb 20 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.2-1qilnx
- package created by autospec
